import request from '/@/utils/request';

export function addWorkDoneTemplate(data: object) {
  return request({
    url: '/med/workdone/template/add',
    method: 'post',
    data
  })
}
export function getWorkDoneTemplateList(data: object) {
  data.ordercondition='sort_order'
  return request({
    url: '/med/workdone/template/list',
    method: 'post',
    params:data
  })
}
export function addSmartFinishTemplate(params: object) {
  return request({
    url: '/patient/hemo/med/record/addSmartFinishTemplate',
    method: 'post',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
      },
      params,
  })
}
// 编辑医嘱
export function updateWorkDoneTemplate(data: object) {
  return request({
    url: '/med/workdone/template/update',
    method: 'post',
    data
  })
}
// 删除模板名称
export function deleteWorkDoneTemplate(id: number) {
  return request({
    url: '/med/workdone/template/delete',
    method: 'post',
    params: {
      id
    }
  })
}
